﻿Imports DotNetBrowser
Imports DotNetBrowser.DOM
Imports DotNetBrowser.DOM.Events

Namespace CreatingHtmlUI_VB
    Public Partial Class MainWindow
        Inherits Window

        Public Sub New()
            BrowserPreferences.SetChromiumSwitches("--remote-debugging-port=9222")
            InitializeComponent()
            browserView1.Browser.LoadURL(System.IO.Path.GetFullPath("UI.html"))
            browserView2.Browser.LoadURL(browserView1.Browser.GetRemoteDebuggingURL())
        End Sub

        Private Sub browserView1_FinishLoadingFrameEvent(ByVal sender As Object,
                                                         ByVal e As DotNetBrowser.Events.FinishLoadingEventArgs)
            If e.IsMainFrame Then
                Dim document As DOMDocument = e.Browser.GetDocument()
                Dim inputs As List(Of DOMNode) = document.GetElementsByTagName("input")

                For Each node As DOMNode In inputs
                    Dim element As DOMElement = TryCast(node, DOMElement)

                    If element.GetAttribute("type").ToLower().Equals("submit") Then
                        element.AddEventListener(DOMEventType.OnClick, AddressOf OnSubmitClicked, False)
                    End If
                Next
            End If
        End Sub

        Private Sub OnSubmitClicked(ByVal sender As Object, ByVal e As DOMEventArgs)
            Task.Run(New Action(Sub()
                Dim login As String = String.Empty
                Dim password As String = String.Empty
                Dim document As DOMDocument = browserView1.Browser.GetDocument()
                login = (CType(document.GetElementById("login"), DOMInputElement)).Value
                password = (CType(document.GetElementById("password"), DOMInputElement)).Value
                Application.Current.Dispatcher.BeginInvoke(New Action(Sub()
                    MessageBox.Show(Me, "Login: " & login & vbLf & "Password: " & password, "Data")
                End Sub))
            End Sub))
        End Sub
    End Class
End Namespace

